# Get Roaming Policy

## Get Roaming Policy

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/customers/roamingpolicies`

View the Roaming Policy and get a list of supported countries and operators.

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| TOKEN\_HERE<mark style="color:red;">\*</mark> | String | Your authentication token |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using cURL:

```bash
curl -X GET \
    --url "https://console.monogoto.io/customers/roamingpolicies" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}"
```

{% hint style="info" %}
Add your **Token** in the GET request to successfully obtain the roaming policies.
{% endhint %}

Request example:

```bash
curl -X GET \
    --url "https://console.monogoto.io/customers/roamingpolicies" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng"
```

Expected result showing network ID and Roaming Policies operators list with their IDs:

```json
...
 ],
    "OrganizationId": "OrganizationId_23135gs7d-d6sdfg9-4as6a-a96s5a-a465s1dfa",
    "Lock": {},
    "usedByNetworkProvider": [
      "NetworkProviderId_099a96b6f-af4a-4b3d-aasdd-665adasd0f762"
    ],
    "policyIsDefaultToNetworkProviders": []
  },
  {
    "Type": "RoamingPlanId",
    "RoamingPlanId": "RoamingPlanId_d1as513a5sf46-3992-4asd6-99a9-9953f1sd6",
    "RoamingPlanName": "RP_Profile_B_10_01_2021",
    "Description": null,
    "DateCreated": 1594390990842,
    "DateModified": 1635622378284,
    "RoamingPartners": [
      {
        "PGWLocation": "",
        "BlockMOVoiceFlag": false,
        "BlockMTVoiceFlag": false,
        "BlockMOSMSFlag": false,
        "ByterateFlag": false,
        "Byterate": "",
        "Preferred": false,
        "MNOId": "MNOId_551cas4b-6bb9-4a6a-8997-f1116dsgz16eb61",
        "RoamingPartnerId": "27602",
        "Country": "Albania",
        "Operator": "VODAFONE - ALBANIA",
        "id": "e40735c54319b-f11b-45sf-8665-15684cv684cfeb0"
...
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/customers/roamingpolicies" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/developer/api/roaming-policy-supported-countries-networks-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
